ru.bitel.bgbilling.modules.phone.common.bean

## Class GateType

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.phone.common.bean.GateType

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class GateType
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GateType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getConfig()`
    `java.lang.String` | `getScript()`
    `java.lang.String` | `getTitle()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setConfig(java.lang.String config)`
    `void` | `setScript(java.lang.String script)`
    `void` | `setTitle(java.lang.String title)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GateType

          public GateType()

  - ### Method Detail

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getScript

          public java.lang.String getScript()

    - #### setScript

          public void setScript(java.lang.String script)

    - #### getConfig

          public java.lang.String getConfig()

    - #### setConfig

          public void setConfig(java.lang.String config)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`